org.apache.http.impl.io

## Class DefaultHttpResponseWriterFactory

- java.lang.Object
- - org.apache.http.impl.io.DefaultHttpResponseWriterFactory

- All Implemented Interfaces:
    HttpMessageWriterFactory<HttpResponse>

      @Immutable
      public class DefaultHttpResponseWriterFactory
      extends Object
      implements HttpMessageWriterFactory<HttpResponse>

  Default factory for response message writers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseWriterFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseWriterFactory()`
    `DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMessageWriter<HttpResponse>` | `create(SessionOutputBuffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpResponseWriterFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory(LineFormatter lineFormatter)

    - #### DefaultHttpResponseWriterFactory

          public DefaultHttpResponseWriterFactory()

  - ### Method Detail

    - #### create

          public HttpMessageWriter<HttpResponse> create(SessionOutputBuffer buffer)

      Specified by:
        `create` in interface `HttpMessageWriterFactory<HttpResponse>`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.